from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCertificateCreator(XInterface, Protocol):
    def addDERCertificateToTheDatabase(self, aDerCertificate: sequence<byte>, aTrustString: str) -> XCertificate: ...
